﻿<!DOCTYPE html>
<html>

<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
<title>grid+flex</title>
<style>
	body{
		text-align:center;
		font-family:sans-serif;
		color:whitesmoke;
	}

	#container{
		display:grid;
		grid-template-columns:1fr,1fr,1fr;
		grid-template-rows:1fr,1fr,1fr;

	}
	header{
		grid-column: 1/4;
		grid-row:1/2;
		background-color:#00BFFE;
	}
	#lsidebar{
		grid-column:1/2;
		grid-row:2/3;
		background-color:#FF4500;
	}
	#mcontent{
		grid-column:2/3;
		grid-row:2/3;
		background-color:#32CD33;
	}
	#rsidebar{
		grid-column:3/4;
		grid-row:2/3;
		background-color:#FED700;
	}
	#inferior{
		display:flex;
		grid-column:1/4;
		grid-row:3/4;
		padding:15px;
		background-color:#8A2BE1;
	}
	footer{
		flex-direction:row;
		flex:1;
		margin:5px;
		background-color:#FF7F50;
		
	}





</style>
</head>
<body>
	<div id="container">
		<header><p>Header</p></header>
		<div id="lsidebar"><p>Left sidebar</p></div>
		<div id="mcontent"><p>Main content</p></div>
		<div id="rsidebar"><p>Right sidebar</p></div>
		<div id="inferior">
			<footer><p>Footer1</p></footer>
			<footer><p>Footer2</p></footer>
			<footer><p>Footer3</p></footer>
			<footer><p>Footer4</p></footer>	
		</div>
	</div>
</body>

</html>
